# Generated from at_your_service-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name at_your_service

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: At Your Service --- Service Objects made easy (& works great w/ Rails)
License: MIT
URL: https://github.com/theunixbeard/at_your_service
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
Model / View / Controller isn't enough for today's complex web applications.
Encapsulate your business logic in Service objects so that when you write a
piece of business logic, you only write it once.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/rails_test
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/at_your_service.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 1.1.0-1
- Initial package
